Up

# NSToolbarItem class documentation

### Authors

Generated by root

### Contents -

1. Software documentation for the NSToolbarItem class
2. Software documentation for the NSObject(NSToolbarItemValidation) informal protocol

# Software documentation for the NSToolbarItem class

## NSToolbarItem : NSObject

> Declared in:
>   AppKit/NSToolbarItem.h

> Conforms to:
>   NSCopying
>   NSValidatedUserInterfaceItem

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -action
- -allowsDuplicatesInToolbar
- -image
- -initWithItemIdentifier:
- -isEnabled
- -itemIdentifier
- -label
- -maxSize
- -menuFormRepresentation
- -minSize
- -paletteLabel
- -setAction:
- -setEnabled:
- -setImage:
- -setLabel:
- -setMaxSize:
- -setMenuFormRepresentation:
- -setMinSize:
- -setPaletteLabel:
- -setTag:
- -setTarget:
- -setToolTip:
- -setView:
- -tag
- -target
- -toolTip
- -toolbar
- -validate
- -view

### action

- (SEL) action;
Availability: OpenStep
Description forthcoming.

### allowsDuplicatesInToolbar

- (BOOL) allowsDuplicatesInToolbar;
Availability: OpenStep
Description forthcoming.

### image

- (NSImage*) image;
Availability: OpenStep
Description forthcoming.

### initWithItemIdentifier:

- (id) initWithItemIdentifier: (NSString*)itemIdentifier;
Availability: OpenStep
Description forthcoming.

### isEnabled

- (BOOL) isEnabled;
Availability: OpenStep
Description forthcoming.

### itemIdentifier

- (NSString*) itemIdentifier;
Availability: OpenStep
Description forthcoming.

### label

- (NSString*) label;
Availability: OpenStep
Description forthcoming.

### maxSize

- (NSSize) maxSize;
Availability: OpenStep
Description forthcoming.

### menuFormRepresentation

- (NSMenuItem*) menuFormRepresentation;
Availability: OpenStep
Description forthcoming.

### minSize

- (NSSize) minSize;
Availability: OpenStep
Description forthcoming.

### paletteLabel

- (NSString*) paletteLabel;
Availability: OpenStep
Description forthcoming.

### setAction:

- (void) setAction: (SEL)action;
Availability: OpenStep
Description forthcoming.

### setEnabled:

- (void) setEnabled: (BOOL)enabled;
Availability: OpenStep
Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)image;
Availability: OpenStep
Description forthcoming.

### setLabel:

- (void) setLabel: (NSString*)label;
Availability: OpenStep
Description forthcoming.

### setMaxSize:

- (void) setMaxSize: (NSSize)maxSize;
Availability: OpenStep
Description forthcoming.

### setMenuFormRepresentation:

- (void) setMenuFormRepresentation: (NSMenuItem*)menuItem;
Availability: OpenStep
Description forthcoming.

### setMinSize:

- (void) setMinSize: (NSSize)minSize;
Availability: OpenStep
Description forthcoming.

### setPaletteLabel:

- (void) setPaletteLabel: (NSString*)paletteLabel;
Availability: OpenStep
Description forthcoming.

### setTag:

- (void) setTag: (int)tag;
Availability: OpenStep
Description forthcoming.

### setTarget:

- (void) setTarget: (id)target;
Availability: OpenStep
Description forthcoming.

### setToolTip:

- (void) setToolTip: (NSString*)toolTip;
Availability: OpenStep
Description forthcoming.

### setView:

- (void) setView: (NSView*)view;
Availability: OpenStep
Description forthcoming.

### tag

- (int) tag;
Availability: OpenStep
Description forthcoming.

### target

- (id) target;
Availability: OpenStep
Description forthcoming.

### toolTip

- (NSString*) toolTip;
Availability: OpenStep
Description forthcoming.

### toolbar

- (GSToolbar*) toolbar;
Availability: OpenStep
Description forthcoming.

### validate

- (void) validate;
Availability: OpenStep
Description forthcoming.

### view

- (NSView*) view;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSToolbarItem Class

### _allowsDuplicatesInToolbar

@protected BOOL _allowsDuplicatesInToolbar;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _backView

@protected NSView* _backView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _flags

@protected struct __flags _flags;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _image

@protected NSImage* _image;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _itemIdentifier

@protected NSString* _itemIdentifier;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _label

@protected NSString* _label;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _maxSize

@protected NSSize _maxSize;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _menuFormRepresentation

@protected NSMenuItem* _menuFormRepresentation;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _minSize

@protected NSSize _minSize;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _modified

@protected BOOL _modified;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _paletteLabel

@protected NSString* _paletteLabel;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selectable

@protected BOOL _selectable;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tag

@protected int _tag;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _toolTip

@protected NSString* _toolTip;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _toolbar

@protected GSToolbar* _toolbar;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _view

@protected id _view;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSObject(NSToolbarItemValidation) informal protocol

## NSObject(NSToolbarItemValidation)

> Declared in:
>   AppKit/NSToolbarItem.h

Availability: OpenStep
Description forthcoming.
Method summary

- -validateToolbarItem:

### validateToolbarItem:

- (BOOL) validateToolbarItem: (NSToolbarItem*)toolbarItem;
Availability: OpenStep
Description forthcoming.

Up